# AV

Source:
  - av.js, line 32

Contains all AV API classes and functions.

### Classes

ACL
Error
File
GeoPoint
InboxQuery
Object
Query
Relation
Role
SearchQuery
SearchSortBuilder
Status
User

### Namespaces

Cloud
Insight
Push

### Members

#### (static) applicationId

Source:
  - request.js, line 218

When API request need to redirect to the right location, can't use browser redirect by http status 307, as the reason of CORS, so API server response http status 410 and the param "location" for this case.

### Methods

#### (static) init(options)

Source:
  - init.js, line 21

Call this method first to set up your authentication tokens for AV. You can get your app keys from the LeanCloud dashboard on http://leancloud.cn .

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`appId` | String | application id
`appKey` | String | application key
`masterKey` | String | application master key

#### (static) setProduction(production)

Source:
  - av.js, line 88

Call this method to set production environment variable.

##### Parameters:

Name | Type | Description
--- | --- | ---
`production` | Boolean | True is production environment,and it's true by default.